gir-repository r184 - trunk/gir
- From: tko svn gnome org
- To: svn-commits-list gnome org
- Subject: gir-repository r184 - trunk/gir
- Date: Thu, 30 Oct 2008 21:18:13 +0000 (UTC)
Author: tko
Date: Thu Oct 30 21:18:13 2008
New Revision: 184
URL: http://svn.gnome.org/viewvc/gir-repository?rev=184&view=rev
Log:
stop 'make check' on error
* gir/Makefile.am (check-local): stop on error
Modified:
trunk/gir/Makefile.am
Modified: trunk/gir/Makefile.am
==============================================================================
--- trunk/gir/Makefile.am (original)
+++ trunk/gir/Makefile.am Thu Oct 30 21:18:13 2008
@@ -698,7 +698,10 @@
CLEANFILES += $(BUILT_GIRSOURCES) $(typelibs_DATA:.typelib=.typelib.xml) $(typelibs_DATA:.typelib=.typelib.xml.typelib)
check-local: $(typelibs_DATA) $(XPATH_TESTS:.xpath=.xpath.test)
- @for x in $(typelibs_DATA); do \
+ @failed=; for x in $(typelibs_DATA); do \
echo 1>&2 "$(DEBUG) $(G_IR_GENERATE) --includedir=. $${x} > $${x}.tmp && mv $${x}.tmp $${x}.xml;"; \
- $(DEBUG) $(G_IR_GENERATE) --includedir=. $${x} > $${x}.tmp && mv $${x}.tmp $${x}.xml; \
- done
+ $(DEBUG) $(G_IR_GENERATE) --includedir=. $${x} > $${x}.tmp && mv $${x}.tmp $${x}.xml || failed="$${failed} $${x}"; \
+ done; \
+ test -z "$${failed}" || { \
+ echo "FAIL:$${failed}"; exit 1; \
+ }
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]